質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.10%

Phalcon3 インストール

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,006

kubotan

score 31

VagrantでPhalcon3をインストールしたいのですが、うまくいかないです。

環境は
centos7
Apache 2.4.6
Mysql 5.7
PHP7

Phalcon公式ページのインストール方法で試したところ

エラー: パッケージ: php70u-phalcon-3.0.1-14.ius.el7.centos.x86_64 (phalcon_stable)
要求: php70u(api) = 20151012
エラー: パッケージ: php70u-phalcon-3.0.1-14.ius.el7.centos.x86_64 (phalcon_stable)
要求: php70u-common(x86-64)
エラー: パッケージ: php70u-phalcon-3.0.1-14.ius.el7.centos.x86_64 (phalcon_stable)
要求: php70u-pdo(x86-64)
エラー: パッケージ: php70u-phalcon-3.0.1-14.ius.el7.centos.x86_64 (phalcon_stable)
要求: php70u(zend-abi) = 20151012

このようなエラーが出ました。

またgitをクローンしてビルドしたところ

config.status: executing libtool commands
/bin/sh /opt/cphalcon/build/php7/64bits/libtool --mode=compile gcc  -I. -I/opt/cphalcon/build/php7/64bits -DPHP_ATOM_INC -I/opt/cphalcon/build/php7/64bits/include -I/opt/cphalcon/build/php7/64bits/main -I/opt/cphalcon/build/php7/64bits -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib  -DPHALCON_RELEASE -DHAVE_CONFIG_H  -march=native -mtune=native -O2 -fomit-frame-pointer -fvisibility=hidden   -c /opt/cphalcon/build/php7/64bits/phalcon.zep.c -o phalcon.lo 
libtool: compile:  gcc -I. -I/opt/cphalcon/build/php7/64bits -DPHP_ATOM_INC -I/opt/cphalcon/build/php7/64bits/include -I/opt/cphalcon/build/php7/64bits/main -I/opt/cphalcon/build/php7/64bits -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DPHALCON_RELEASE -DHAVE_CONFIG_H -march=native -mtune=native -O2 -fomit-frame-pointer -fvisibility=hidden -c /opt/cphalcon/build/php7/64bits/phalcon.zep.c  -fPIC -DPIC -o .libs/phalcon.o
gcc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make: *** [phalcon.lo] エラー 1

とここで止まってしまいます。

検索しながら自分でできる限りのことはやったつもりなのですが、
解決できませんでした。。

この解決方法や別のインストールする方法など
知ってる方がいらっしゃったら、ぜひご教授してください。
宜しくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+2

公式リファレンスには記載がありませんが IUS リポジトリが必要なようですね。

以下のように先に IUS リポジトリをインストールすると php70u パッケージがインストールできるようになります。

curl -s https://setup.ius.io/ | sudo bash
curl -s https://packagecloud.io/install/repositories/phalcon/stable/script.rpm.sh | sudo bash
sudo yum install php70u-phalcon

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/09/28 20:42

    おお!
    いけました!
    ありがとうございます^^

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる